let Parser = require('./parser');

class IndexFileParser extends Parser{

    async getRows(){
        let file = await this.getFileHtml();
        return file.querySelector('.container').querySelectorAll('.row');
    }

    async getColumnValue(str){
        const regex = /^(.*?)<.*\((.*?)\).*/gm;
        return regex.exec(str)
    }

    async get(){
        let result_json = [];

        let rows =  await this.getRows();

        for(let row of rows){
            let columns = row.querySelectorAll('.column');

            if (columns.length === 3) {
                for(let col of columns){
                    let summary_box = col.querySelector('.summarybox');
                    let content = await this.getColumnValue(summary_box.innerHTML);

                    result_json.push({
                        title: content[1],
                        data: content[2],
                        state: summary_box.classNames[1]
                    });
                }
            }else{
                let content = await this.getColumnValue(row.querySelector('.summarybox').innerHTML);
                result_json.push({
                    title: content[1],
                    data: content[2],
                    state: null
                });
            }
        }

        return result_json;
    }
}
module.exports = IndexFileParser;
