---
layout: default
title: sitespeed.io 5.4.0
description: The latest version comes with upgraded versions of Geckodriver and new Firefox and Chrome. And we also supports the Paint Timing API.
authorimage: /img/aboutus/peter.jpg
intro: The latest version comes with upgraded versions of Geckodriver and new Firefox and Chrome. And we also supports the Paint Timing API.
keywords: sitespeed.io, sitespeed, release, 5.4
nav: blog
---

# 5.4.0

## New and shiny Browsertime

In this release we upgraded some of the core 3rd party software we use in Browsertime, that in previous versions had bugs that hold us back from upgrading:

* Upgraded to [Geckodriver 0.17.0](https://github.com/mozilla/geckodriver/releases/tag/v0.17.0) seems that seems to fix the problem loading very small pages [#321](https://github.com/sitespeedio/browsertime/issues/321).

* Upgraded to [ChromeDriver 2.30](https://chromedriver.storage.googleapis.com/2.30/notes.txt) with a very special hack to fix [#347](https://github.com/sitespeedio/browsertime/pull/347).

* Updated the Docker container to Firefox 54 and Chrome 60 (beta) to fix the background color problems we've seen for a while: Loading a URL in emulated mode changed the background color to grey before first visual change. And on desktop the background color was changed to the first color of the page (in our case that made the background color orange appearing before first visual change). [Checkout the original Chrome bug #727046](https://bugs.chromium.org/p/chromium/issues/detail?id=727046).

* Since we rolled forward to Chrome 60 we also added a script to pickup metrics from the [Paint Timing API](https://github.com/WICG/paint-timing) [#344](https://github.com/sitespeedio/browsertime/pull/344). You can see the new metric on the Browsertime page but we waited with adding to the the waterfall graph, at least when we tried it out on Wikipedia it seems like there are some work left to make the metric correct (but we added it to make it easier for you to compare with RUM data).

## Changes in sitespeed.io
We upgraded to latest Browsertime and made it configurable how many assets you want to show in the toplists (<code> --html.topListSize</code>) and in the asset list (<code>--maxAssets</code>).

We also upgraded PageXray (thank you [@vio](https://github.com/vio) for the [PR](https://github.com/sitespeedio/pagexray/pull/29)) with a fix for adding streaming media to the list of number of requests (we only counted assets with exactly a 200 response before).

## Vacation JULY - AUGUST

![Vacation]({{site.baseurl}}/img/vacation.gif)
{: .img-thumbnail-center}


We are going to take a long vacation this year to recharge and make sure we can make sitespeed.io even better this autumn. What does this mean? We will not answer issues within 8 hours that we usually do, but don't be scared: If we get any important bugs, we will fix them. And we will do maintenance releases when there's a new Chrome/Firefox. And if you want a change, send us a PR :)


Checkout the full [Changelog](https://github.com/sitespeedio/sitespeed.io/blob/main/CHANGELOG.md) for all changes.

/Peter
