---
layout: default
title: Documentation for all sitespeed.io tools.
description: Here's the documentation of how to use all the sitespeed.io tools. Use latest LTS release of NodeJS or Docker containers to get them up and running.
keywords: tools, documentation, web performance, version, nodejs.
nav: documentation
image: https://www.sitespeed.io/img/sitespeed-2.0-twitter.png
twitterdescription: Documentation for the sitespeed.io.
---
# Documentation

Use Docker or the latest [LTS release of NodeJS](https://nodejs.org/) to run the sitespeed.io tools.

* [Browsertime]({{site.baseurl}}/documentation/browsertime/) - collect metrics using JavaScript/video/HAR from Chrome/Firefox.
* [Chrome-HAR]({{site.baseurl}}/documentation/chrome-har/) - create Chrome HAR files based on events from the Chrome Debugging Protocol.
* [Coach]({{site.baseurl}}/documentation/coach/) - get help from the Coach how you can make your web page faster.
* [Compare]({{site.baseurl}}/documentation/compare/) - compare two HAR files with each other and find regressions.
* [Humble]({{site.baseurl}}/documentation/humble/) - Raspberry Pi WiFi network link conditioner.
* [PageXray]({{site.baseurl}}/documentation/pagexray/) - convert HAR files to a more usable format.
* [sitespeed.io]({{site.baseurl}}/documentation/sitespeed.io/) - continuously monitor your web sites web performance  (including the Coach, Browsertime, PageXray and the rest).
* [Throttle]({{site.baseurl}}/documentation/throttle/) - simulate slow network connections on Linux and Mac OS X.
