---
layout: default
title: Documentation sitespeed.io 25.x
description: Read about all you can do with sitespeed.io.
keywords: tools, documentation, web performance
nav: documentation
category: sitespeed.io
image: https://www.sitespeed.io/img/sitespeed-2.0-twitter.png
twitterdescription: Documentation for sitespeed.io.
---

# Documentation v25

<img src="{{site.baseurl}}/img/logos/sitespeed.io.png" class="pull-right img-big" alt="sitespeed.io logo" width="200" height="214">

Sitespeed.io is the complete toolbox to test the web performance of your web site. Use it to monitor your performance or checkout how your competition is doing. You can see all the latest changes in the [Changelog](https://github.com/sitespeedio/sitespeed.io/blob/main/CHANGELOG.md) for the project.

## Start
 * [Introduction](introduction/) - start here if you are new to the project or web performance testing.
 * [Installation](installation/) - install using npm, yarn or run our Docker containers.
 * [Browsers](browsers/) - collect timings using real browsers. We support Firefox, Chrome, Chrome on Android and limited support for Safari on OS X and iOS. 
 * [Configuration](configuration/) - there's a lot of things you can do with sitespeed.io, lets checkout how!
 * [Connectivity](connectivity/) - set the connectivity to emulate real users network conditions.
 * [Continuously run your tests](continuously-run-your-tests/) - how to setup your test to continuously run your tests.
 * [Docker](docker/) - how to use our Docker containers.
 * [F.A.Q and Best Practice](best-practice/) - here we keep track of questions we get in Slack.
 * [Metrics](metrics/) - definitions of all the metrics that is collected.
 * [Performance Dashboard](performance-dashboard/) - monitor your web site and keep track of your metrics and performance.
 * [Performance Leaderboard](leaderboard/) - compare your pages with your competition.
 * [Scripting](scripting/) - test a user journey, test multiple URLs, test login, test adding items to the cart with scripting.
* [Web performance testing in practice](web-performance-testing-in-practice/) - start to read this is if you are new into synthetics tests.

## More details
 * [Alerts](alerts/) - send alerts (email/Slack/PagerDuty etc) when you get a performance regression.
 * [Axe](axe/) - run accessibility tests.
 * [Continuous Integration](continuous-integration/) - generate JUnit XML/TAP and use Jenkins, Circle CI, Gitlab CI, GitHub Actions, Grunt or the Gulp plugin.
 * [Configure HTML output](configure-html/) - change the default HTML output.
 * [Configure Metrics](configure-metrics/) - configure which metrics you want to send to Graphite/InfluxDB.
 * [CPU](cpu/) - measure CPU metrics to see where your page spends the time.
 * [CPU Benchmark](cpu-benchmark/) - benchmark the CPU that runs your browser and tests.
 * [Chrome User Experience Report](crux/) - collect Chrome User Experience Report data in sitespeed.io.
 * [Developers](developers/) - start here when you want to do PRs or create a plugin.
 * [Google Page Speed Insights](google-page-speed-insights/) - run Google Page Speed Insights (GPSI) from sitespeed.io.
 * [Google Web Vitals](google-web-vitals/) - get Google Web Vitals using sitespeed.io and other tools.
 * [Graphite](graphite/) - how to configure and store your metrics in Graphite (and using StatsD).
 * [How to Write a Good Bug Report](bug-report/) - if you write a good bug report, we can spend more time helping you fixing the problem instead of asking you questions
 * [Lighthouse](lighthouse/) - run Lighthouse from sitespeed.io.
 * [Matrix](matrix/) - send messages to your Matrix client.
 * [Mobile phones](mobile-phones/) - test using your mobile phone. Chrome on Android and Safari on iOS.
 * [Performance Budget](performance-budget/) - make sure you are within your performance budget.
 * [Plugins](plugins/) - list/disable/enable or create your own plugin.
 * [Pre/post scripting](prepostscript/) - run Selenium scripts before/after you test a URL.
 * [Setup S3](s3/) - how to setup S3 for your html result/videos and screenshots.
 * [Setup GCS](gcs/) - how to setup Google Cloud storage (GCS) for your html result/videos and screenshots.
 * [Single Page Application](spa/) - how to test your single page application.
 * [Sustainable web plugin](sustainable/) - the sustainable web plugin helps you build a greener, more sustainable websites and applications.
 * [Third party requests](thirdparty/) - keep track of those 3rd party scripts.
 * [Video](video/) - all that you can do with the video and filmstrip.
 * [WebPageReplay](webpagereplay/) - WebPageReplay is proxy that first records your web site and then replay it locally. That can help you find performance regression in the front-end code easier: Latency/server timings are constant.
 * [WebPageTest](webpagetest/) - drive WebPageTest and fetch metrics and graph them.

